<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PicturesManager (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PicturesManager (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PicturesManager.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/converter/NumberFormatter.html"
               title="class in org.apache.poi.hwpf.converter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/converter/TextDocumentFacade.html"
               title="class in org.apache.poi.hwpf.converter"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/converter/PicturesManager.html"
               target="_top">Frames</a></li>
        <li><a href="PicturesManager.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.converter</div>
    <h2 title="Interface PicturesManager" class="title">Interface PicturesManager</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public interface <span class="typeNameLabel">PicturesManager</span></pre>
                <div class="block">User-implemented pictures manager to store images on-disk</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov (vlsergey {at} gmail {dot} com)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/converter/PicturesManager.html#savePicture-byte:A-org.apache.poi.hwpf.usermodel.PictureType-java.lang.String-float-float-">savePicture</a></span>(byte[]&nbsp;content,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html"
                                       title="enum in org.apache.poi.hwpf.usermodel">PictureType</a>&nbsp;pictureType,
                                    java.lang.String&nbsp;suggestedName,
                                    float&nbsp;widthInches,
                                    float&nbsp;heightInches)</code>
                                    <div class="block">Stores image (probably on disk).</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="savePicture-byte:A-org.apache.poi.hwpf.usermodel.PictureType-java.lang.String-float-float-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>savePicture</h4>
                                <pre>java.lang.String&nbsp;savePicture(byte[]&nbsp;content,
                             <a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html"
                                title="enum in org.apache.poi.hwpf.usermodel">PictureType</a>&nbsp;pictureType,
                             java.lang.String&nbsp;suggestedName,
                             float&nbsp;widthInches,
                             float&nbsp;heightInches)</pre>
                                <div class="block">Stores image (probably on disk). Please, note that different output
                                    format support different file types, so image conversion may be required.
                                    For example, HTML browsers usually supports <a
                                            href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html#GIF"><code>PictureType.GIF</code></a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html#JPEG"><code>PictureType.JPEG</code></a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html#PNG"><code>PictureType.PNG</code></a>,
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html#TIFF"><code>PictureType.TIFF</code></a>,
                                    but rarely <a
                                            href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html#EMF"><code>PictureType.EMF</code></a>
                                    or
                                    <a href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html#WMF"><code>PictureType.WMF</code></a>.
                                    FO (Apache FOP) supports at least PNG and SVG
                                    types.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>content</code> - picture content</dd>
                                    <dd><code>pictureType</code> - detected picture type (may be <a
                                            href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html#UNKNOWN"><code>PictureType.UNKNOWN</code></a>
                                    </dd>
                                    <dd><code>suggestedName</code> - suggested picture name (based on picture offset in
                                        file),
                                        supposed to be unique
                                    </dd>
                                    <dd><code>widthInches</code> - display width in inches (scaled). May be useful for
                                        rendering
                                        vector images (such as EMF or WMF)
                                    </dd>
                                    <dd><code>heightInches</code> - display height in inches (scaled). May be useful for
                                        rendering
                                        vector images (such as EMF or WMF)
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>path to file that can be used as reference in HTML (img's src) of
                                        XLS FO (fo:external-graphic's src) or <tt>null</tt> if image were
                                        not saved and should not be referenced from result HTML / FO.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PicturesManager.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/converter/NumberFormatter.html"
               title="class in org.apache.poi.hwpf.converter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/converter/TextDocumentFacade.html"
               title="class in org.apache.poi.hwpf.converter"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/converter/PicturesManager.html"
               target="_top">Frames</a></li>
        <li><a href="PicturesManager.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
